#debuginfo not supported with Go
%global debug_package %{nil}
%global source_name v%{version}

%global commit 23cf119d0f3a03e0379b59feb9f942ccc229666f
%global build_hash %(c=%{commit}; echo ${c:0:7})
%global spec_release 1

Name:		kubevirt-templates
Version:        0.4.1
Release:	%{spec_release}.%{build_hash}
Summary:	%{name} - Kubevirt Common Templates
		
License:	ASL 2.0
URL:		https://github.com/kubevirt/common-templates
Source0:	common-templates-%source_name.yaml

BuildArch: noarch
%description
CNV distribution based of kubevirt's Common Templates

%prep

%build

%install
rm -rf  %{buildroot}
install -d -m 0755 %{buildroot}%{_datadir}/%{name}/manifests
cp -v %{SOURCE0} %{buildroot}%{_datadir}/%{name}/manifests/common-templates.yaml

%files 
%{_datadir}/%{name}/manifests/


%changelog
* Thu Jan 17 2019 Yanir Quinn <yquinn@redhat.com>  - 0.4.1-1.23cf119
- CNV 1.4 Bump version of kubevirt and kubevirt API


* Fri Jan 11 2019 Martin Sivak <msivak@redhat.com> - 0.4.0-1.3aabb3b
- CNV 1.4 refresh with support for guest cpu topology


* Thu Dec 13 2018 Yanir Quinn <yquinn@redhat.com> - 0.3.2-1.4c9b55d
- CNV 1.4 Release


* Mon Nov 5 2018 Yanir Quinn <yquinn@redhat.com> - 0.3.1-1.8efeaaf
- CNV 1.3 Release 


* Sun Oct 14 2018 Yanir Quinn <yquinn@redhat.com> - 0.2.0-1.2a5036a
- kubevirt common templates rpm testing


